--- old/usr/src/lib/libc/port/locale/localeimpl.h	Sun Jun 29 11:51:33 2014
+++ new/usr/src/lib/libc/port/locale/localeimpl.h	Sun Jun 29 11:51:33 2014
@@ -10,7 +10,7 @@
  */
 
 /*
- * Copyright 2013 Garrett D'Amore <garrett@damore.org>
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  */
 
 /*
@@ -50,12 +50,13 @@
 	void		*l_data[NLOCDATA];		/* storage area */
 	void		*l_map;				/* mapped file */
 	size_t		l_map_len;
-	uint32_t	l_refcnt;
+	struct locdata	*l_next;			/* link cached list */
 };
 
 
 struct locale {
 	struct locdata	*locdata[LC_ALL];
+	struct locale	*next;
 
 	/*
 	 * Convenience pointers.
@@ -81,8 +82,7 @@
 
 
 struct locdata *__locdata_alloc(const char *, size_t);
-struct locdata *__locdata_hold(struct locdata *);
-void __locdata_release(struct locdata *);
+void __locdata_free(struct locdata *);
 struct locdata *__locdata_get_cache(int, const char *);
 void __locdata_set_cache(int, struct locdata *);
 
